<!--
{
  "availability" : [
    "Apple News API: 1.0.0 -"
  ],
  "documentType" : "symbol",
  "framework" : "AppleNewsAPI",
  "identifier" : "/documentation/AppleNewsAPI/POST-sections-_sectionId_-promotedArticles",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple News API"
    ],
    "preciseIdentifier" : "rest:news_api:post:sections-{}-promotedArticles"
  },
  "title" : "Promote Articles in a Section"
}
-->

# Promote Articles in a Section

Set the list of promoted articles for the specified section.

## Discussion

A Promote Articles in a Section request sets the list of promoted articles for the specified section. You can promote up to six articles per section. Note that each article promoted in a section should have a thumbnail image. The system generates an error if an article in the list doesn’t include a thumbnail image. The list of articles given in the body of this request replaces any previous list of promoted articles. You can remove the list of promoted articles for the section by specifying an empty list. The promoted articles list is valid for a system-defined time period after it is set.

The request body must be in JSON, in the following format:

```json
{
  "data": {
    "promotedArticles": [
      "F59D1784-CAFC-432A-9A1A-EF2FCE1E1C60",
      "2027DD1B-2794-4B0A-B9DC-F7EE696411FF"
    ]
  }
}
```

### Example

**Request:**

```
POST /sections/a3caeb08-b9db-4002-b379-cde305d74be7/promotedArticles HTTP/1.1
Host: news-api.apple.com
Accept: application/json
Authorization: HHMAC; key="1e3gfc5e-e9f8-4232-a6be-17bf40edad09";
signature="irqw07DCRQLtx/40Z2VhNc7sl3nB1PKII374R7AHjUQ=";
date="2017-12-08T00:03:31Z"
{
  "data": {
    "promotedArticles": [
      "F59D1784-CAFC-432A-9A1A-EF2FCE1E1C60",
      "2027DD1B-2794-4B0A-B9DC-F7EE696411FF"
    ]
  }
}
```

**Response:**

```json
HTTP/1.1 200 OK
Date: Fri, 08 Dec 2017 00:04:41 GMT
Content-Type: application/json;charset=UTF-8
Transfer-Encoding: chunked
{
  "data": {
    "promotedArticles": [
      "https://news-api.apple.com/articles/F59D1784-CAFC-432A-9A1A-EF2FCE1E1C60",
      "https://news-api.apple.com/articles/2027DD1B-2794-4B0A-B9DC-F7EE696411FF"
    ]
  }
}
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)